#+TITLE: Sacha Chua's Emacs configuration
#+ELEVENTY_COLLECTIONS: _posts
#+ELEVENTY_BASE_DIR: ~/proj/static-blog/
#+ELEVENTY_CATEGORIES+: emacs
#+ELEVENTY_LAYOUT: layouts/post
#+ELEVENTY_BASE_URL: https://sachachua.com
* Shuffling my Org Mode unscheduled tasks                         :emacs:org:
:PROPERTIES:
:EXPORT_DATE: 2024-10-20T19:00:22-0400
:EXPORT_ELEVENTY_PERMALINK: /blog/2024/10/shuffling-my-org-mode-unscheduled-tasks/
:EXPORT_ELEVENTY_FILE_NAME: blog/2024/10/shuffling-my-org-mode-unscheduled-tasks/
:END:

I enjoyed listening to [[https://www.artofmanliness.com/character/advice/podcast-1029-treat-your-to-do-list-like-a-river-and-other-mindset-shifts-for-making-better-use-of-your-time/][Podcast #1,029: Treat Your To-Do List Like a River, and Other Mindset Shifts for Making Better Use of Your Time | The Art of Manliness]] (thanks [[https://mastodon.social/@ctietze/113300034618623731][@ctietze@mastodon.social]] for the recommendation) and checking out the [[https://www.artofmanliness.com/character/behavior/autofocus-the-productivity-system-that-treats-your-to-do-list-like-a-river/][Autofocus method]] ([[http://markforster.squarespace.com/autofocus-system/][main website with translations]]) for reviewing your TODO list without worrying too much about prioritization. I also had an opportunity to reflect on similar topics in a conversation with John Wiegley and Adam Porter about personal information management (which I'll be blogging about once John has a chance to review the draft).

This nudged me to experiment with randomizing my
unscheduled task list. I'm not trying to finish
everything on my list, I'm just mixing it up so
that I enjoy keeping things on my radar and
picking something to do. [[https://github.com/alphapapa/org-ql][org-ql]] lets me create
randomly-sorted views, so I wrote some code to
show me a shuffled list of my unscheduled TODO
tasks and SOMEDAY tasks.

#+begin_comment
[[elisp:my-org-ql-shuffle-todo][TODO]] - [[elisp:my-org-ql-shuffle-someday][SOMEDAY]]
#+end_comment

#+begin_src emacs-lisp
(defun my-org-ql-shuffle-todo ()
	(interactive)
	(org-ql-search (org-agenda-files)
		'(and
			(todo "TODO" "STARTED")
			(not (done))
			(not (scheduled))
			(not (deadline))
			(not (ts-active))
			(not (tags "cooking")))
		:sort 'random))

(defun my-org-ql-shuffle-someday ()
	(interactive)
	(org-ql-search (org-agenda-files)
		'(and
			(todo "SOMEDAY")
			(not (done))
			(not (scheduled))
			(not (deadline))
			(not (ts-active))
			(not (tags "cooking")))
		:sort 'random))
#+end_src

I can't make it part of my ~org-agenda-custom-commands~ yet because of an [[https://github.com/alphapapa/org-ql/issues/79][open issue]], but having separate commands is a starting point.
It's surprisingly fun. I used ~org-agenda-follow-mode~ to quickly flip through the tasks while looking at the agenda. I've already noticed some tasks to cancel and picked some tasks to do. Could be neat!


